## pydantic-settings 2.7.1

=== Makefile ===
.DEFAULT_GOAL := all
sources = pydantic_settings tests

.PHONY: install
install:
	python -m pip install -U pip
	pip install -r requirements/all.txt
	pip install -e .

.PHONY: refresh-lockfiles
refresh-lockfiles:
	@echo "Updating requirements/*.txt files using pip-compile"
	find requirements/ -name '*.txt' ! -name 'all.txt' -type f -delete
	pip-compile -q --no-emit-index-url --resolver backtracking -o requirements/linting.txt requirements/linting.in
	pip-compile -q --no-emit-index-url --resolver backtracking -o requirements/testing.txt requirements/testing.in
	pip-compile -q --no-emit-index-url --resolver backtracking --extra toml --extra yaml --extra azure-key-vault -o requirements/pyproject.txt pyproject.toml
	pip install --dry-run -r requirements/all.txt

.PHONY: format
format:
	ruff check --fix $(sources)
	ruff format $(sources)

.PHONY: lint
lint:
	ruff check $(sources)
	ruff format --check $(sources)

.PHONY: mypy
mypy:
	mypy pydantic_settings

.PHONY: test
test:
	coverage run -m pytest --durations=10

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@coverage html

.PHONY: all
all: lint mypy testcov

## pydantic-settings 2.5.2

=== debian/changelog ===
pydantic-settings (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * Drop test_settings_skip_pydantic2.7.patch; we have a new enough pydantic
    now.
  * New upstream release.
  * Ensure V is not set in the environment (e.g. from launchpad-buildd),
    since that breaks this package's tests.
  * Bump minimum python3-pydantic version to 2.9.0, since the tests fail
    with the version currently in testing.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 10:40:16 +0100

pydantic-settings (2.4.0-2) unstable; urgency=medium

  * versioned Build-Depends: python3-pydantic (>= 2~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2024 08:53:23 +0200

pydantic-settings (2.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1061609)
  * run tests using pytest.
    debian patch test_doc_no_pytest_examples.patch skips test_docs.py
    since pytest_examples is not packaged
  * debian patch test_settings_skip_pydantic2.7.patch skips tests
    requiring pydantic 2.7.0 (other tests pass with older version).

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 19:32:44 +0200

=== debian/control ===
Source: pydantic-settings
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-dotenv (>=0.21.0~),
 python3-hatchling,
 python3-pydantic (>= 2.9.0),
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-setuptools,
 python3-tomli (>= 2.0.1~),
 python3-yaml (>= 6.0.1~),
 python3-all,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/pydantic/pydantic-settings
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-settings
Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-settings.git

Package: python3-pydantic-settings
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Recommends:  python3-tomli (>= 2.0.1~),
 python3-yaml (>= 6.0.1~),
Description: settings management using pydantic (Python 3)
 Settings management using Pydantic, this is the new official home of
 Pydantic's BaseSettings.
 .
 Pydantic Settings provides optional Pydantic features for loading a
 settings or config class from environment variables or secrets files.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Test-Command: for py in `py3versions -s`; do $py -mpytest; done
Depends: @,
 python3-pytest,
 python3-pytest-mock,
 python3-all

## pydantic-settings 2.6.1

=== debian/changelog ===
pydantic-settings (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Nov 2024 15:24:31 +0000

pydantic-settings (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-depend on python3-azure for Azure Key Vault tests.

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Oct 2024 13:44:45 +0100

## pydantic-settings 2.7.1

=== debian/changelog ===
pydantic-settings (2.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Jan 2025 14:48:22 +0000

pydantic-settings (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2024 00:07:59 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
+ python3-azure (>= 20240522+git),
  python3-dotenv (>=0.21.0~),
  python3-hatchling,
  python3-pydantic (>= 2.9.0),

## pydantic-settings 2.8.1

=== debian/changelog ===
pydantic-settings (2.8.1-2) unstable; urgency=medium

  * Handle typing_extensions.TypeAliasType != typing.TypeAliasType (closes:
    #1101859).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Apr 2025 13:28:16 +0100

pydantic-settings (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 17:56:55 +0000

=== debian/tests/control ===
Test-Command: for py in `py3versions -s`; do $py -mpytest; done
Depends: @,
 python3-azure (>= 20240522+git),
 python3-pytest,
 python3-pytest-mock,
 python3-all

## pydantic-settings 2.10.1

=== debian/changelog ===
pydantic-settings (2.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Adapt test_protected_namespace_defaults for development versions of
    Pydantic (upstream PR #637).

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 11:30:01 +0100

=== debian/control ===
Source: pydantic-settings
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Colin Watson <cjwatson@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-azure (>= 20240522+git),
 python3-boto3,
 python3-dotenv (>=0.21.0~),
 python3-hatchling,
 python3-pydantic (>= 2.9.0),
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-setuptools,
 python3-tomli (>= 2.0.1~),
 python3-typing-inspection,
 python3-yaml (>= 6.0.1~),
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/pydantic/pydantic-settings
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-settings
Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-settings.git
X-Style: black

Package: python3-pydantic-settings
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-tomli (>= 2.0.1~),
 python3-yaml (>= 6.0.1~),
Description: settings management using pydantic (Python 3)
 Settings management using Pydantic, this is the new official home of
 Pydantic's BaseSettings.
 .
 Pydantic Settings provides optional Pydantic features for loading a
 settings or config class from environment variables or secrets files.

## pydantic-settings 2.11.0

=== Makefile ===
.DEFAULT_GOAL := all
sources = pydantic_settings tests

.PHONY: install
install:
	uv sync --all-extras --all-groups

.PHONY: refresh-lockfiles
refresh-lockfiles:
	@echo "Updating uv.lock file"
	uv lock -U

.PHONY: format
format:
	uv run ruff check --fix $(sources)
	uv run ruff format $(sources)

.PHONY: lint
lint:
	uv run ruff check $(sources)
	uv run ruff format --check $(sources)

.PHONY: mypy
mypy:
	uv run mypy pydantic_settings

.PHONY: test
test:
	uv run coverage run -m pytest --durations=10

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@uv run coverage html

.PHONY: all
all: lint mypy testcov

=== debian/changelog ===
pydantic-settings (2.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2025 00:19:42 +0100

pydantic-settings (2.10.1-2) unstable; urgency=medium

  * Team upload.
  * Drop usager of external python3-"tomli",
    "tomllib" will be preferred on Python 3.11+.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Aug 2025 23:42:46 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-setuptools,
- python3-tomli (>= 2.0.1~),
  python3-typing-inspection,
  python3-yaml (>= 6.0.1~),
 #Testsuite: autopkgtest-pkg-python
@@ -35,7 +34,6 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- python3-tomli (>= 2.0.1~),
  python3-yaml (>= 6.0.1~),
 Description: settings management using pydantic (Python 3)
  Settings management using Pydantic, this is the new official home of

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pydantic-settings

# Some build environments (e.g. Launchpad) set V=1 in the environment to
# make other build systems verbose, but that conflicts with this package's
# tests.
undefine V

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/pydantic/pydantic-settings/releases?per_page=100 \
 https://api.github.com/repos/pydantic/pydantic-settings/tarball/@ANY_VERSION@

## pydantic-settings 2.12.0

=== debian/changelog ===
pydantic-settings (2.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Nov 2025 10:14:19 +0000

=== debian/tests/control ===
Test-Command: for py in `py3versions -s`; do $py -mpytest; done
Depends:
 python3-all,
 python3-azure (>= 20240522+git),
 python3-boto3,
 python3-pytest,
 python3-pytest-mock,
 @,

## pydantic-settings 2.13.0

=== debian/changelog ===
pydantic-settings (2.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Drop "Priority: optional", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.3.

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Feb 2026 00:22:01 +0000

pydantic-settings (2.12.0-2) unstable; urgency=medium

  * CLI test fixes for help text formatting (closes: #1123433).

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Dec 2025 15:07:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: pydantic-settings
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
  Colin Watson <cjwatson@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -22,7 +20,7 @@
  python3-typing-inspection,
  python3-yaml (>= 6.0.1~),
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/pydantic/pydantic-settings
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-settings
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-settings.git
